org.eclipse.cdt.core.settings.model

## Interface ICMacroEntry

All Superinterfaces:
  ICLanguageSettingEntry, ICSettingEntry

All Known Implementing Classes:
  CMacroEntry

    public interface ICMacroEntry
    extends ICLanguageSettingEntry

Representation in the project model of language settings entries having name-value attributes such as preprocessor defines (-D). See `ICSettingEntry.MACRO`.

### Field Summary

### Fields inherited from interface org.eclipse.cdt.core.settings.model.ICSettingEntry

`ALL, BUILTIN, EXPORTED, FRAMEWORKS_MAC, INCLUDE_FILE, INCLUDE_PATH, LIBRARY_FILE, LIBRARY_PATH, LOCAL, MACRO, MACRO_FILE, NONE, OUTPUT_PATH, READONLY, RESOLVED, SOURCE_PATH, UNDEFINED, VALUE_WORKSPACE_PATH`

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `getValue()`

### Methods inherited from interface org.eclipse.cdt.core.settings.model.ICSettingEntry

`equalsByContents, equalsByName, getFlags, getKind, getName, isBuiltIn, isReadOnly, isResolved`

### Method Detail

#### getValue

    String getValue()

Specified by:
  `getValue` in interface `ICSettingEntry`